QGIS Application - Feature request #382
Improve build support for NetBSD
2006-11-10 02:55 PM - brook-nmsu-edu -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10441
Description

Improve support for [[NetBSD]] (which should be listed as a platform on this trac form). Currently, there are no autoconf macros in place
when the system is [[NetBSD]]. The following patch introduces a section for defining them. Although the section is the same as for
[[FreeBSD]], a distinct section is preferable in case the systems diverge in the future. There should be no side-effects of this patch on
other systems, since the code block will be ignored unless the system is [[NetBSD]].

--- acinclude.m4.orig

+++ acinclude.m4

@@ -401,6 +401,15 @@ case "${host}" in
fi

+ *netbsd”)
+ QT _LIBS="$QT_LIB"
+ iftest $QT_IS_STATIC = yes && test $QT_IS_EMBEDDED = no; then
+ QT_LIBS="$QT_LIBS -L$x_libraries -IXext -IX11 -Im -ISM -IICE -IdI -ljpeg -Ipthread"
+ else
+ QT_LIBS="$QT_LIBS -Ipthread"
+ fi
+ 5
+
*freebsd”)

QT_LIBS="$QT_LIB"

if test $QT_IS_STATIC = yes && test $QT_IS_EMBEDDED =

no; then

History

#1 - 2006-11-10 03:07 PM - Gavin Macaulay -
- Resolution set to fixed
- Status changed from Open to Closed

Those lines appear to already be in the file.

#2 - 2006-11-10 04:08 PM - Gary Sherman

The freebsd support is in acinclude.m4, but not netbsd.

| applied the patch.
#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
